/* -----------------------------
   GENERAL LAYOUT
------------------------------*/
.single-product-container {
    max-width: 1200px;
    margin: 60px auto;
    padding: 20px 0 0;
}

/* Main two-column layout */
.product-main-content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 50px;
    align-items: start;
}

.product-gallery-wrapper {
    position: sticky;
    top: 30px;
    max-width: 520px;
    width: 100%;
    margin: 0 auto;
}

.woocommerce div.product div.images {
    float: none;
    width: 100%;
    margin: 0;

    display: flex;
    justify-content: center;
    align-items: center;
}

.woocommerce div.product div.images img {
    display: block;
    max-width: 100%;
    height: auto;
    object-fit: contain;
}


.product-summary-wrapper .product_title {
    font-size: 36px;
    font-weight: 700;
    margin-bottom: 10px;
}

.product-summary-wrapper .price {
    font-size: 32px;
    font-weight: 600;
    color: var(--muted);
    margin-bottom: 20px;
}

.product-summary-wrapper .woocommerce-product-details__short-description {
    font-size: 20px;
    line-height: 1.7;
    margin-bottom: 25px;
    color: var(--muted);
}

.product-summary-wrapper .single_add_to_cart_button.button.alt{
    background: var(--accent) !important;
    color: #fff;
    padding: 12px 20px;
    border-radius: 6px;
    font-size: 20px;
    transition: 0.25s ease;
}


.product-summary-wrapper .quantity input {
    border-radius: 6px;
    font-size: 20px;
    padding: 10px;
    border: 1px solid #ccc;
    margin-right: 6px;
}

.product_meta {
    display: flex;
    gap: 20px;
}
.product-summary-wrapper .posted_in,
.product-summary-wrapper .tagged_as {
    font-size: 16px;
    color: var(--muted);
}

.product-summary-wrapper .posted_in a,
.product-summary-wrapper .tagged_as a {
    color: var(--accent);
    text-decoration: none;
}

.product-summary-wrapper .posted_in a:hover,
.product-summary-wrapper .tagged_as a:hover {
    text-decoration: underline;
}


.product-tabs-wrapper {
    margin-top: 60px;
}

.woocommerce-tabs ul.tabs {
    border-bottom: 1px solid #eee !important;
}

.woocommerce-tabs ul.tabs li {
    background: none !important;
    border: none !important;
    margin-right: 20px;
}

.woocommerce-tabs ul.tabs li a {
    font-size: 16px;
    padding: 10px 0;
    color: var(--muted);
    border-bottom: 2px solid transparent;
}

.woocommerce-tabs ul.tabs li.active a {
    color: var(--text);
    border-bottom: 2px solid var(--accent); 
}

.woocommerce-Tabs-panel {
    margin-top: 30px;
    font-size: 16px;
    line-height: 1.8;
    color: var(--muted);
    max-width: 900px;
}

@media (max-width: 1024px) {
    .product-main-content {
        grid-template-columns: 1fr;
        gap: 30px;
    }
}
